version: "3.6"
services:
  database:
    networks:
      - extnet
    ports:
      - mode: host
        target: 5432
        published: 5432
  sftp:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_sftp:dev
  ingestor:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_ingestor:dev
    environment:
      INOTIFY_WATCH_DIR: "/mnt/data/"
      REDIS_PREPROCESS_MD_QUEUE_KEY: "preprocess_queue"
  fluentd:
    image: registry.gitlab.eox.at/esa/prism/vs/fluentd:dev
  client:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_client:dev
    ports:
      - mode: host
        target: 80
        published: 80
    volumes:
      - type: bind
        source: ./client/src/
        target: /src/
      - type: bind
        source: ./config/{{slug}}/{{slug}}_index-dev.html
        target: /index.html
  renderer:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_core:dev
    environment:
      DEV: "true"
    ports:
      - mode: host
        target: 80
        published: 81
      - mode: host
        target: 8080
        published: 82
  registrar:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_core:dev
    environment:
      DEV: "true"
  cache:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_cache:dev
    ports:
      - mode: host
        target: 80
        published: 83
    configs:
      - source: mapcache-dev
        target: /mapcache-template.xml
  preprocessor:
    image: registry.gitlab.eox.at/esa/prism/vs/pvs_preprocessor:dev
    environment: 
      DEBUG: "true"
    volumes:
      - type: tmpfs
        target: /tmp
      - type: bind
        source: ./testing/
        target: /testing/
    ports: 
      - mode: host
        target: 5678
        published: 5678
networks:
  extnet:
    name: {{slug}}-extnet
    external: true
